## 安装内容
1. 数据库，推荐使用mysql 8.0以上版本
2. Python 3.8
3. 通过pip等方法安装*requirements_manual_selected_20230304.txt*文件中的包

## 前期准备工作
1. 复制整个代码到本地
2. 用root及密码登录mysql，在本地数据库中创建一个数据库，命名为*iiabmdb*
3. 在mysql中运行*SQL_db_user_create.sql*里的sql命令，创建数据库用户。如果创建用户报错，需打开该文件，并运行第三行被注释掉的代码。该文件后面的sql命令也需要运行，将数据库用户的权限赋予*iiabmdb*数据库
4. 之后直接运行controller.py文件，如果没有报错，则说明前期准备工作完成

## 运行程序
1. 将*conf_db_prefix.yaml*文件中的*db_prefix*改为*db_name_prefix: without_exp*
2. 打开命令行，进入代码所在目录，运行
```shell
python main.py --exp without_exp --reset_db True
```
3. 等待运行完成（23750个样本）。结束后，将*db_name_prefix: without_exp*改为*db_name_prefix: with_exp*，并运行
```shell
python main.py --exp with_exp --reset_db True
```
4. 漫长的等待（17.1万个样本），直到运行完成

## 获得结果，绘制图表

